apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: nginx-0.0.0-65b85787
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: nginx
        - from: setting
          key: v1_ha_clusterip
          setting: shared_ip
          to: annotation
      name: nginx
      podspec:
        containers:
          - image: aep/base_jammy
            name: nginx
      provides:
        - exposed: true
          name: http
          network: loadbalanced
          servicespec:
            ports:
              - name: http
                port: 80
                protocol: TCP
                targetPort: 80
              - name: https
                port: 443
                protocol: TCP
                targetPort: 443
      settings:
        - from:
            - user
            - event
          name: shared_ip
          required: false
          schema:
            description: Shared IP for loadbalancing/failover configurations
            type: string
      sizing:
        increment: 1
        initial: 2
        maximum: 10
        minimum: 1
  dependencies:
    operator:
      name: nginx-operator
      vendor: asag
      version: 0.0.0-65b85787
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.3.0
  name: nginx
  settings:
    - name: environment
      schema:
        default: nginx_prod
  version: 0.0.0-65b85787
